#ifndef COLOUR_H_
#define COLOUR_H_

#include "globals.h"

class Colour
{
public:
	Colour(float red, float green, float blue, float alpha);
	Colour(const Colour &copy);
	Colour();
	~Colour();

	Colour &operator =(const Colour &c)
	{
		for(int i = 0; i < 4; i++)
			colour[i] = c.colour[i];

		return *this;
	}

	void Set(float red, float green, float blue, float alpha);
	float colour[4];
};

#endif
