#include "input.h"

Input::Input()
{
	keycount = 0;
	mouse.buttons = 0;
	mouse.oldButtons = 0;
};

Input::~Input()
{
	free(keyboard.keys);
	free(keyboard.oldKeys);
};

bool Input::Start()
{
	event = new SDL_Event;
	SDL_PumpEvents();
	SDL_PumpEvents();
	unsigned char *tempKeys = SDL_GetKeyState(&keycount);

	keyboard.keys = (unsigned char *)malloc(sizeof(unsigned char) * keycount);

	memcpy(keyboard.keys, tempKeys, sizeof(unsigned char) * keycount);

	keyboard.oldKeys = (unsigned char *)malloc(sizeof(unsigned char) * keycount);

	mouse.oldButtons = mouse.buttons;
	mouse.buttons = SDL_GetMouseState(&mouse.dx, &mouse.dy);

	return true;
};

void Input::Update()
{
	SDL_PumpEvents();
	mouse.oldX = mouse.dx;
	mouse.oldY = mouse.dy;
	mouse.oldButtons = mouse.buttons;
	mouse.buttons = SDL_GetMouseState(&mouse.dx, &mouse.dy);

	memcpy(keyboard.oldKeys, keyboard.keys,sizeof(unsigned char) * keycount);
	unsigned char *tempKeys = SDL_GetKeyState(&keycount);
	memcpy(keyboard.keys, tempKeys,sizeof(unsigned char) * keycount);
};
