#ifndef LEVEL_H_
#define LEVEL_H_

#include "globals.h"
#include "force.h"
#include "portal.h"
#include "emitter.h"
#include "timer.h"

#define FORCE_MAN 0
#define EMITTER_MAN 1
#define PORTAL_MAN 2

class Level
{
public:
	Level();
	~Level();

	void AddPortal(Vector pos, int radius, int colour);
	void AddForce(Vector pos, int radius, int type);
	void Update();
	void Render();
private:
	int m_active_man;
	Emitter *m_stream;
	Timer *MainTimer;
};

#endif // LEVEL_H_
