#include "particlesystem.h"

ParticleSystem::ParticleSystem(int maxParticles, float life, const Vector &origin)
{
	m_emitting = false;
	m_maxParticles = maxParticles;
	m_numParticles = 0;
	m_origin = origin;
	m_accumulatedTime = 0.0f;
	m_particleLife = life;
	m_particleList = new Particle[m_maxParticles];
	m_texture = NULL;
// 	m_timer = new Timer();
};

ParticleSystem::~ ParticleSystem()
{
	delete [] m_particleList;
	delete m_texture;
};
