#include "colour.h"

Colour::Colour()
{
	for(int i = 0; i < 4; i++)
		colour[i] = 0.0f;
};

Colour::Colour(float red, float green, float blue, float alpha)
{
	colour[0] = red;
	colour[1] = green;
	colour[2] = blue;
	colour[3] = alpha;
};

Colour::Colour(const Colour &copy)
{
	for(int i = 0; i < 4; i++)
		colour[i] = copy.colour[i];
};

Colour::~ Colour()
{
};

void Colour::Set(float red, float green, float blue, float alpha)
{
	colour[0] = red;
	colour[1] = green;
	colour[2] = blue;
	colour[3] = alpha;
};
