#ifndef GLOBALS_H
#define GLOBALS_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <iostream>
#include <fstream>
#include <sstream>
#include <cstdarg>
#include <cassert>
#include <stdexcept>
#include <vector>
#include <list>
#include <map>
#include <stack>

#if WIN32
#include <windows.h>
#define uint UINT
#include "SDL/SDL.h"
#include "SDL/SDL_mixer.h"
#include "SDL/SDL_net.h"
#include <GL/glext.h>
#else
#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>
#include <SDL/SDL_net.h>
#endif

#include <GL/glew.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

#include "singleton.h"
#include "log.h"

#include "tinyxml.h"
#include "tinystr.h"

#define dotProd(v1, v2) ((v1.x * v2.x) + (v1.y * v2.y) + (v1.z * v2.z))
#define min(a, b) ((a) < (b) ? (a) : (b))
#define max(a, b) ((a) > (b) ? (a) : (b))

#endif

