#ifndef PARTICLE_MANAGER_H_
#define PARTICLE_MANAGER_H_

#include "globals.h"
#include "particlesystem.h"
class ParticleManager
{
	friend class PaticleSystem;
public:
	ParticleManager();
	~ParticleManager();


	void RemoveAllSystems();
protected:
	void RegisterSystem(ParticleSystem *system);
	void UnRegisterSystem(ParticleSystem *system);
	std::vector<ParticleSystem *> m_Systems;
};

#endif
